Gaukite „Google Chrome“ palaikymą naudodami 32 bitų „Linux“

chromas ant ubuntu

Kaip „Google“ paskelbė gruodį, „Google Chrome“ palaikymas 32 bitų „Linux“ sistemose nutrauktas tą patį mėnesį. Visiems tiems vartotojams, kurie ir toliau naudojasi šia programa, rekomenduojama nustoti tai daryti, nes, nors jie ir toliau galės ją paleisti, jie nebegaus jokių naujinių, įskaitant būtinus saugos pleistrus.

Kita vertus, paraiška Atrodo, kad vis dar palaikomas 32 bitų „Chromium“ „Linux“ sistemose ir galėtų būti laikoma alternatyva susidariusiai situacijai. Tačiau, kadangi oficialios „Google Chrome“ 32 bitų paketų saugyklos nebėra, vartotojai, turintys 64 bitų sistemą ir kurie naudoja tą programos versiją gaus klaidos pranešimą bandant atnaujinti paketą. Laimei, jis turi paprastą sprendimą.

Jei naudojate 32 bitų „Chrome“ sistemoje „Ubuntu x64“, pranešimas, kurį gausite bandydami atnaujinti šios programos paketą, yra toks:

Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/Release
Unable to find expected entry 'main/binary-i386/Packages' in Release file (Wrong sources.list entry or malformed file) Some index files failed to download. They have been ignored, or old ones used instead.

Ištaisykite tai mažai klaida Ubuntu tai labai paprasta ir jums teks redaguoti tik mažą failo eilutę /etc/apt/sources.list.d/google-chrome.list. Tiesiog pridėkite tekstą „[arch = amd64]“ po skiltimi „deb“ arba naudokite šią komandą:

sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/etc/apt/sources.list.d/google-chrome.list"

Ankstesnis failas atkuriamas su kiekvienu atnaujinimu tai reikia atlikti su programa, todėl jei nenorite grįžti per tuos pačius veiksmus kaip ir anksčiau, rekomenduojame tai padaryti prie failo pridėjus + i atributą nekintamas. Norėdami tai padaryti, vykdykite šią instrukciją:

</p>
<p class="source-code">sudo chattr -i /etc/apt/sources.list.d/google-chrome.list</p>
<p class="source-code">

Straipsnio turinys atitinka mūsų principus redakcijos etika. Norėdami pranešti apie klaidą, spustelėkite čia.

5 komentarai, palikite savo

Palikite komentarą

Jūsų elektroninio pašto adresas nebus skelbiamas.

*

*

  1. Atsakingas už duomenis: Miguel Ángel Gatón
  2. Duomenų paskirtis: kontroliuoti šlamštą, komentarų valdymą.
  3. Įteisinimas: jūsų sutikimas
  4. Duomenų perdavimas: Duomenys nebus perduoti trečiosioms šalims, išskyrus teisinius įsipareigojimus.
  5. Duomenų saugojimas: „Occentus Networks“ (ES) talpinama duomenų bazė
  6. Teisės: bet kuriuo metu galite apriboti, atkurti ir ištrinti savo informaciją.

  1.   rztv23 sakė

    o taip gerai: v

  2.   vilkolakis sakė

    Ačiū

  3.   Oswaldo Hernandezas sakė

    Gerai, straipsnis yra labai geras, bet tie, kurie naudojasi 32 bitų architektūra, kaip mes turime įdiegti 64 bitų chromą, nes tai sukelia šią klaidą:
    # dpkg -i google-chrome-stabil_current_amd64.deb
    dpkg: klaida apdorojant google-chrome-stabil_current_amd64.deb (–install) failą:
    paketo architektūra (amd64) neatitinka sistemos (i386) architektūros
    Apdorojant įvyko klaidų:
    google-chrome-stabil_current_amd64.deb

    1.    Jorge sakė

      Galbūt šis komentaras nebus naudingas senajam tinklaraščiui, bet bus naudingas jį skaitančiam.
      32 bitų sistemos nepalaiko 64 bitų programų, todėl jos net nebus įdiegtos (jei įmanoma, atvirkščiai, 64 bitų sistemos palaiko 32 bitų programas).
      saludos

  4.   Ali Gonzalezas sakė

    Straipsnio turinys neatitinka pavadinimo. Esmė ta, kad turite 32 bitų „Ubuntu“ sistemą ir norite prijungti „Chrome“, skirtą 32 bitams, net jei jis nebepalaikomas. Jūs neturite 64 bitų sistemos.